local debug = false

-- mini: 12 sec
-- medium: 50 sec
-- large: 240 sec

function init()
	print('menu loaded')
  imageWidth = 500
  padding = 15

  local levelPath = GetString("game.levelpath")
  showMenu = true
  startMenu = true
  if string.find(levelPath, "level_mini.xml") then
    showMenu = false
    startMenu = false
  end
  if string.find(levelPath, "level_medium.xml") then
    showMenu = false
    startMenu = false
  end
  if string.find(levelPath, "level_large.xml") then
    showMenu = false
    startMenu = false
  end
end

function tick()
  if InputPressed("m") and startMenu ~= true then
    if showMenu ~= false then
      showMenu = false
    else
      showMenu = true
    end
  end
end

function draw()
  if showMenu then
    drawMenu()
  end
end

function drawMenu()
  UiMakeInteractive()
  UiModalBegin()

  -- background
  UiPush()
  UiColor(0,0,0,0.9)
  UiRect(UiWidth(), UiHeight())
  UiPop()


	UiPush()
  UiTranslate(UiCenter(), UiMiddle())
	UiAlign("center middle")

  UiTranslate(0, -210)

  UiColor(1,1,1)
  UiTranslate(0, 110)
  UiFont("bold.ttf", 32)
  UiTextShadow(0,0,0,0.8,2,0.2)

  UiButtonPressColor(1,1,1,0.7)
  UiTranslate(-imageWidthAndPadding(), 0)
  if UiImageButton("MOD/gta_menu_mini.png") then
    print('Loading: Mini')
    if debug ~= true then
      StartLevel("Mini","MOD/level_mini.xml")
    end
	end
  UiAlign("left bottom")
  UiTranslate(-232, -200)
  UiText("Mini")
  UiTranslate(0, 40)
  UiText("8+ Seconds Load Time")

  UiTranslate(232, 160)
  UiAlign("center middle")
  
  
  UiTranslate(imageWidthAndPadding(), 0)
  if UiImageButton("MOD/gta_menu_medium.png") then
    print('Loading: Medium')
    if debug ~= true then
      StartLevel("Medium","MOD/level_medium.xml")
    end
	end
  UiAlign("left bottom")
  UiTranslate(-232, -200)
  UiText("Medium")
  UiTranslate(0, 40)
  UiText("36+ Seconds Load Time")
  UiTranslate(232, 160)
  UiAlign("center middle")

  UiTranslate(imageWidthAndPadding(), 0)
  if UiImageButton("MOD/gta_menu_large.png") then
    print('Loading: Large')
    if debug ~= true then
      StartLevel("Large","MOD/level_large.xml")
    end
	end
  UiAlign("left bottom")
  UiTranslate(-232, -200)
  UiText("Large")
  UiTranslate(0, 40)
  UiText("140+ Seconds Load Time")
  UiTranslate(232, 160)
  UiAlign("center middle")

  UiPop()


  -- menu toggle info
  UiPush()

  UiTranslate(UiCenter(), 80)
  UiAlign("center middle")
  UiFont("regular.ttf", 24)
  UiColor(1,1,1,0.3)
  UiText("[M] Menu Toggle")

  UiPop()


  -- credit
  UiPush()

  UiTranslate(UiCenter(), UiHeight() - 80)
  UiAlign("center middle")
  UiFont("regular.ttf", 16)
  UiColor(1,1,1,0.3)
  UiText("made by")

  UiTranslate(0, 16)
  UiColor(1,1,1,0.6)
  UiFont("bold.ttf", 18)
  UiText("micro + Kv Vortex")

  UiPop()
end

function imageWidthAndPadding()
  return imageWidth + padding*2
end
